# Interface methods for submodule: VectorThresholdSegmentationLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SegmentationLevelSetImageFilterProxy as _SegmentationLevelSetImageFilterProxy


# Interface methods for class: VectorThresholdSegmentationLevelSetImageFilter
class VectorThresholdSegmentationLevelSetImageFilterProxy(_SegmentationLevelSetImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetMean(self, mean: Sequence[float]) -> None:
		""""""
		...

	def GetMean(self) -> Sequence[float]:
		""""""
		...

	def SetCovariance(self, cov) -> None:
		""""""
		...

	def GetCovariance(self):
		""""""
		...

	def SetThreshold(self, thr: float) -> None:
		""""""
		...

	def GetThreshold(self) -> float:
		""""""
		...

